RemoteFeature.Region (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.RemoteFeature.Region class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Class RemoteFeature.Region

    java.lang.Object
      org.biojava.bio.seq.RemoteFeature.Region

Enclosing interface:
  RemoteFeature

    public static final class RemoteFeature.Region

extends Object

A tuple of Location and sequence ID.

For local locations, the Region is just a wrapper for a Location. For remote Regions, it also contains a String representing the Sequence ID of the remote Location.

Since:
  1.1
Author:
  Matthew Pocock

Constructor Summary
`RemoteFeature.Region(Location location, String seqID, boolean isRemote)` Create a new Region.

Method Summary
`Location` | `getLocation()` Retrieve the Location of the Region.
`String` | `getSeqID()` Return the remote Sequence ID if this Region is on another Sequence (isRemote will return true), null otherwise.
`boolean` | `isRemote()` Return whether this Region is remote or local.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteFeature.Region

    public RemoteFeature.Region(Location location,
                                String seqID,
                                boolean isRemote)

  Create a new Region.

  Parameters:
    `location` - the Location of the Region
    `seqID` - the ID of the Sequence containing the Location, or null if it is a local Region

Method Detail

### getLocation

    public Location getLocation()

  Retrieve the Location of the Region.

  Returns:
    the Location of this Region

### getSeqID

    public String getSeqID()

  Return the remote Sequence ID if this Region is on another Sequence (isRemote will return true), null otherwise.

  Returns:
    the ID of the remote Sequence containing this Region

### isRemote

    public boolean isRemote()

  Return whether this Region is remote or local.

  If this returns true, getSeqID() will return the ID of the remote sequence. Otherwise, getSeqID() will return null.

  Returns:
    true if this is a remote Region, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD